<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_KURSVORSCHLAG_VA;

$settingsArray = array();



$setting = new Setting();
$setting->name = 'hl_raum';
$setting->description = 'Für das Feld Kursort';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'den Hinterlegungsbutton zu den Räumen anzeigen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursort_feld_readonly';
$setting->description = 'Für das Feld Kursort';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'Nicht frei bearbeitbar anzeigen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'kursort_einschraenkung_aussenstelle';
$setting->description = 'Für das Feld Kursort';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'Die auswählbaren Kursorte auf die ausgewählte Außenstelle begrenzen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hl_aussenstelle';
$setting->description = 'Für das Feld Außenstelle';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'den Hinterlegungsbutton zu den Außenstellen anzeigen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hl_dauer';
$setting->description = 'Für das Feld Dauer den Hinterlegungsbutton anzeigen';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hl_beginn';
$setting->description = 'Für das Feld Beginn-Uhrzeit den Hinterlegungsbutton anzeigen';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'hl_ende';
$setting->description = 'Für das Feld Ende-Uhrzeit den Hinterlegungsbutton anzeigen';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'textPflichtfeldCheckbox';
$setting->description = 'Zu bestätigender Text vor dem Absenden eines Kursvorschlags';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'Ist das Feld nicht leer, dann wird eine Checkbox mit diesem Text im Kursvorschlagsformular '
        . 'angezeigt und muss angehakt sein, bevor der Kursvorschlag abgesendet werden kann. '
        . 'Dies kann z. B. zur Bestätigung der AGB o. ä. verwendet werden. Es ist auch möglich HTML anzugeben, '
        . 'um z. B. eine Verlinkung hinzuzufügen.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTBOX);
$setting->config->size = 8;
$setting->config->isHtml = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'datumsfelderAbhaengigePflichtfelder';
$setting->description = 'Eingabe Datum/Wunschtermin erzwingen';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'Ist diese Einstellung gesetzt, so müssen entweder das Beginn- und Endedatum oder der Wunschtermin ausgefüllt werden. '
        . 'Diese Felder dürfen keine Pflichtfelder sein, da diese sonst immer gefüllt sein müssen. Die Überprüfungen werden nur dann '
        . 'ausgeführt, wenn alle der betroffenen Felder im Formular vorhanden sind.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'uhrzeitfelderAbhaengigePflichtfelder';
$setting->description = 'Eingabe Uhrzeit/Wunschuhrzeit erzwingen';
$setting->subGroup = 'Einstellungen für die Anzeige des neu zu planenden Kurses';
$setting->help = 'Ist diese Einstellung gesetzt, so müssen entweder die Beginn- und Endeuhrzeit oder die Wunschuhrzeit ausgefüllt werden. '
        . 'Diese Felder dürfen keine Pflichtfelder sein, da diese sonst immer gefüllt sein müssen. Die Überprüfungen werden nur dann '
        . 'ausgeführt, wenn alle der betroffenen Felder im Formular vorhanden sind.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'infoMailAnEinrichtung';
$setting->description = 'Beim Versand einer Kursplanung eine Benachrichtigungs-E-Mail an die Schulungseinrichtung senden';
$setting->subGroup = 'E-Mail-Benachrichtigungen versenden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'vhsEmailTool52Section616';
$setting->description = 'Ziel für E-Mail an die Einrichtung';
$setting->subGroup = 'E-Mail-Benachrichtigungen versenden';
$setting->help = 'Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, die unter "Allgemein / Schulungseinrichtung / Ziel'
                . ' für E-Mails aus den KuferTools an die Schulungseinrichtung" angegeben ist.';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);